package org.springblade.modules.system.service;

import com.baomidou.mybatisplus.extension.service.IService;
import org.springblade.modules.system.entity.UserInfo;
import org.springblade.modules.system.entity.UserWeChat;

/**
 * Author pangqijun
 * Date 2022/11/8
 * Description
 */
public interface IUserWeChatService extends IService<UserWeChat> {


	void saveUserInfo(UserInfo userInfo, String code);


	/**
	 * 获取AccessToken
	 * @return
	 */
	String getAccessToken();

	/**
	 * 根据code获取电话号码
	 * @return
	 */
	String getPhoneNumber(String code);
}
